List playbook publish approval requests
curl --request GET \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/publish_approval_requests \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/publish_approval_requests"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/publish_approval_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Playbook Publish Approval
List playbook publish approval requests
Returns a paginated list of playbook publish approval requests visible to the authenticated user.
GET
/
workspace
/
{ws_id}
/
publish_approval_requests
List playbook publish approval requests
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Query Parameters
Maximum number of results to return
Number of results to skip
Sort order
Response
Paginated list of approval requests
The response is of type any.
Was this page helpful?
⌘I